## freenet.support.CPUInformation
Class CPUIDCPUInfo

    java.lang.Object
      freenet.support.CPUInformation.CPUIDCPUInfo

Direct Known Subclasses:
  AMDInfoImpl, IntelInfoImpl, VIAInfoImpl

    abstract class CPUIDCPUInfo

extends Object

Moved out of CPUID.java

Since:
  0.8.7

Field Summary
`protected static boolean` `isX64`

Constructor Summary
`CPUIDCPUInfo()`

Method Summary
`String` `getVendor()`
`boolean` `hasMMX()`
`boolean` `hasSSE()`
`boolean` `hasSSE2()`
`boolean` `hasSSE3()`
`boolean` `hasSSE41()`
`boolean` `hasSSE42()`
`boolean` `hasSSE4A()`
`abstract boolean` `hasX64()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isX64

    protected static boolean isX64

Constructor Detail

### CPUIDCPUInfo

    CPUIDCPUInfo()

Method Detail

### getVendor

    public String getVendor()

### hasMMX

    public boolean hasMMX()

### hasSSE

    public boolean hasSSE()

### hasSSE2

    public boolean hasSSE2()

### hasSSE3

    public boolean hasSSE3()

### hasSSE41

    public boolean hasSSE41()

### hasSSE42

    public boolean hasSSE42()

### hasSSE4A

    public boolean hasSSE4A()

### hasX64

    public abstract boolean hasX64()